package com.ss.android.ugc.aweme.legoImp;

import X.C25348eL;
import X.C42449Ed;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.base.ITaskManagerConfig;
import kotlin.h.b.n;

public final class TaskManagerConfigImpl implements ITaskManagerConfig {
    static {
        Covode.recordClassIndex(90346);
    }

    public final C42449Ed LIZ() {
        C42449Ed r1 = new C42449Ed();
        r1.LIZ(C25348eL.LIZ());
        n.LIZIZ(r1, "");
        return r1;
    }

    public static ITaskManagerConfig LIZIZ() {
        MethodCollector.i(3461);
        ITaskManagerConfig iTaskManagerConfig = (ITaskManagerConfig) Lnj.LIZ(ITaskManagerConfig.class, false);
        if (iTaskManagerConfig != null) {
            MethodCollector.o(3461);
            return iTaskManagerConfig;
        }
        Object LIZIZ = Lnj.LIZIZ(ITaskManagerConfig.class, false);
        if (LIZIZ != null) {
            ITaskManagerConfig iTaskManagerConfig2 = (ITaskManagerConfig) LIZIZ;
            MethodCollector.o(3461);
            return iTaskManagerConfig2;
        }
        if (Lnj.LLZ == null) {
            synchronized (ITaskManagerConfig.class) {
                try {
                    if (Lnj.LLZ == null) {
                        Lnj.LLZ = new TaskManagerConfigImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3461);
                    throw th;
                }
            }
        }
        TaskManagerConfigImpl taskManagerConfigImpl = (TaskManagerConfigImpl) Lnj.LLZ;
        MethodCollector.o(3461);
        return taskManagerConfigImpl;
    }
}
